
QGIS Application - Bug report #14670

'Check Geometries' plugin fails generating serial values

2016-04-12 01:22 PM - R. R.

Status: Closed

Priority: Normal

Assignee: Sandro Mani

Category: C++ plugins/Geometry Checker

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22634

Description

Normally I use serial columns (e.g. 'gid') to generate unique primary keys. Unfortunately the 'Check Geometries' plugin ignores existing pk

values when splitting features to fix self-intersection. As a result the input geometries gets damaged instead of fixed. I've uploaded a

screencast that may help to explain this issue.

History

#1 - 2016-04-25 12:37 PM - R. R.

- Assignee set to Sandro Mani

Assigned to Sandro Mani ...hope that's okay.

#2 - 2016-04-26 04:51 AM - Sandro Mani

Confirmed, will look into it.

#3 - 2016-07-03 12:39 AM - R. R.

- Target version set to Future Release - High Priority

Raising the target version on this because of possible data corruption.

#4 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 04:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/


Files

gc_serial_issue.mp4 2.7 MB 2016-04-12 R. R.
